Subject: Re: bug#76506: Electric-command-history-redo-expression does nothing

From: Stefan Kangas <[email-masked]>
Date: Mon, 24 Feb 2025 16:47:50 +0000

Robert Pluim <[email-masked]> writes:

>>>>>> On Sun, 23 Feb 2025 16:46:01 +0000, Stefan Kangas <[email-masked]> said:
>
>     Stefan> Severity: normal
>     Stefan> The `Electric-command-history-redo-expression` command is autoloaded
>     Stefan> but it doesn't seem to do anything:
>
>     Stefan> 0. emacs -Q
>     Stefan> 1. M-x command-history RET
>     Stefan> 2. M-x Electric-command-history-redo-expression RET
>
>     Stefan> Since this has seemingly been broken for a long time, and no one has
>     Stefan> noticed, perhaps echistory.el is simply unused and should be obsoleted?
>
>     Stefan> I find nothing about this obscure command online or on the mailing lists.
>
> I think you need
>
> M-x electric-command-history

Aha, right.  That command on the other hand is not autoloaded, curiously
enough, so you need to say this first:

    (require 'echistory)

> for things to work. Iʼve never used it, and trying it just now itʼs
> excessively intrusive and obnoxious with its bindings. We can fix
> that, but if nobody is using it thatʼs not worth it.

Agreed on all of the above, thanks.

Similarly, I can't get ehelp.el to actually do anything.  Maybe it does
something, but the instructions don't work, or at least have no effect
from what I can see.